Package Details: librecad-git 2.2.0.rc1.r91.g8604f171-2

Git Clone URL: https://aur.archlinux.org/librecad-git.git (read-only, click to copy)
Package Base: librecad-git
Description: A 2D CAD drawing tool based on the community edition of QCad.
Upstream URL: https://librecad.org
Keywords: cad drawing qcad
Licenses: GPL
Conflicts: librecad
Provides: librecad
Submitter: mickele
Maintainer: damien.flament
Last Packager: damien.flament
Votes: 38
Popularity: 0.007222
First Submitted: 2011-04-20 21:51
Last Updated: 2018-12-18 20:07

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

ozz commented on 2013-03-05 15:54

Can this build be parallelized? Otherwise it takes forever to build.

mickele commented on 2013-03-02 20:17

Updated to qt4.

keenerd commented on 2013-03-02 17:34

Needs qt4 in the deps and requires a few build tweaks:

use qmake-qt4
sed -i 's/qcollectiongenerator/#&/' scripts/postprocess-unix.sh
sed -i 's/lrelease/&-qt4/' scripts/postprocess-unix.sh

That first sed line is not the best workaround, it disables all documentation.

Also consider moving boost to the makedeps and adding boost-libs to the deps.

mickele commented on 2012-04-03 05:19

@dli
Done!

Anonymous comment on 2012-04-01 19:00

librecad-git relies on muparser from now on

also, c++11 is used by default, therefore, CPPFLAGS -std=c++0x is required

thanks!

mickele commented on 2012-03-04 20:59

@benskelton
I added feature requested

Anonymous comment on 2012-03-02 10:06

Please consider adding the following line in the PKGBUILD (line 51) so that the ttf2lff tool is included in the package:

install -D -m 755 unix/ttf2lff $pkgdir/usr/bin/ttf2lff

The tool allows true type fonts to be converted to the font format used by librecad so that these fonts can be used in drawings.

nicoadamo commented on 2012-02-22 02:47

Thanks a lot!

mickele commented on 2012-02-21 10:59

@nicoadamo
The location of libread.png has changed. New version of PKGBUILD (20120221-1) should solve your issue.

nicoadamo commented on 2012-02-20 14:12

Couldn't compile:
==> Entering fakeroot environment...
==> Starting package()...
install: cannot stat `res/main/librecad.png': No such file or directory
==> ERROR: A failure occurred in package().
Aborting...
Any suggestions?